<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

// Ensure visibility
if (empty($product) || !$product->is_visible()) {
    return;
}
?>

<li <?php post_class('product-list'); ?> data-id="<?php echo get_the_ID() ?>">
    <figure>
    <?php
        /**
         * woocommerce_before_shop_loop_item_title hook.
         *
         * @hooked woocommerce_show_product_loop_sale_flash - 10
         * @hooked woocommerce_template_loop_product_thumbnail - 10
         */
        do_action('woocommerce_before_shop_loop_item_title'); ?>

        <ul>
            <?php if( function_exists( 'YITH_WCWL' ) ) { ?>
            <li><?php echo do_shortcode('[yith_wcwl_add_to_wishlist]'); ?></li>
            <?php } ?>
            <li><?php woocommerce_template_loop_add_to_cart( $product );?></li>
        </ul>
    </figure>
    <div class="content">
        <h4>
            <?php
                /**
                 * woocommerce_shop_loop_item_title hook.
                 *
                 * @hooked woocommerce_template_loop_product_title - 10
                 */
                do_action('woocommerce_shop_loop_item_title');

                /**
                 * woocommerce_after_shop_loop_item_title hook.
                 *
                 * @hooked woocommerce_template_loop_rating - 5
                 * @hooked woocommerce_template_loop_price - 10
                 */
                do_action('woocommerce_after_shop_loop_item_title');
            ?>
        </h4>
        <?php printf(
            '<p class="grid-p">%1$s</p>',
            wp_trim_words( $product->get_short_description(), 4, '' )
        ); ?>
    </div>
</li>